Skip to navigation

Account Details

View as Markdown

Get the details of all accounts linked to the Client-Id.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Query parameters

client_idstringRequired

Unique ID you created during oAuth token generation. Citi shares this ID with you during your CitiConnect API onboarding. This parameter is required for all 3 endpoints – GET Accounts, GET Balances, and GET Transactions.

account_refstringOptional5-40 characters

This parameter is required only for the GET Transaction endpoint and is optional for GET Accounts and GET Balances. Account Reference number is the unique identifier created for each account. If this parameter is not used, all accounts associated with Client-Id are returned.

limitintegerOptional1-10000
The number of records to display per page.
page_nointegerOptional>=1
You can input a page number and receive the data specific to a requested page. Page number is determined based on pagination metadata received in the response header of the initial request.
sort_bystringOptional

This parameter contains one or more sort criteria. For GET Account, allowed enum value is accountRef.For GET Balance, allowed enum value is accountRef.For GET transaction, allowed enum values are transactionNumber, amount, and transactionActualTime.

sort_typeenumOptional

Sorting direction. Options include DESC - Descending order sorting and ASC - Ascending order sorting.

Allowed values:

Response headers

apim_guidstringOptional

Unique system-generated reference number generated by Citi. Use this number when reporting an issue to a Citi representative in case of any discrepancy.

pagination-metadatastringOptional


current_page: current page number
total_page: Total number of pages available for your request
page_size: Total number of records available in the current page
has_more: Any more messages or records expected

Response

Accounts Response
account_detailslist of objectsOptional
Fetch and provide the account details based on the filter parameters received in the request from the client.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
500
Internal Server Error